#define ipfwd_fwd(PORT, PROTO_ID, POLICY_TYPE, PROTO_PARAMS, POLICY_PARAMS, DATA) \
if (ip_type()) { \
	if (match(IP_type, PORT)) { \
		if (fwd(PROTO_ID, POLICY_TYPE, PROTO_PARAMS, POLICY_PARAMS, DATA)) { \
			halt; \
		} \
	} \
}
